Synnefo - Feature # 693

Status: Closed Priority: Medium
Author: Faidon Liambotis Category: old_synnefo
Created: 06/20/2011 Assignee: Vangelis Koukis
Updated: 02/08/2013 Due date:

Subject: Alaxwplopdg tou settings.py

Description

Muag kat To synnefo amoteleitat and nmoAAd dtagopeTikd components Tou evepyoriolodvTat EExwpLotd avdloya Tov poAo Tou Kabe

deployment, Ba ritav Waitepa BoAkd va utidp&el kdmolog dtaxwplopdg Tou settings.py T.X. o€ Eexwplotd apxela. Evdexousvwg va

elval e€loou Bolikd kat yia Tov dAAo d&ova tou deployment, development/staging/production.

MepLkeg 10€eq yla Tov TPOTo TiepLypdgpovTat oto wiki Tou Django:
https://code.djangoproject.com/wiki/SplitSettings

Related issues:
related to Synnefo - Feature # 691: Drop ganeti-eventd & snf-ganeti-hook synn... Closed

06/20/2011

Associated revisions

Revision 1277fb19 - 06/27/2011 04:40 pm - Vangelis Koukis

Split settings.py.dist in distinct conf files

Split settings.py.dist in distinct conf files under settings.d/,

similarly to:

https://code.djangoproject.com/wiki/SplitSettings#Usingalistofconffiles Transifex

Use settings..d/*-local.conf files for local modifications,
update .gitignore to ignore them.

Refs #693

History

#1 - 06/23/2011 05:46 pm - Vangelis Koukis
- Assignee set to Vangelis Koukis

#2 - 06/23/2011 05:46 pm - Vangelis Koukis
- Target version set to v0.5

#3 - 06/27/2011 05:01 pm - Vangelis Koukis
- % Done changed from 0 to 80

O pubpioelg €xouv opadoronbel oe XwpLotd apxeia settings.d/??-*.conf (commit:1277fb19ef ato branch api-current).

To settings.py.dist meplExel kwdlka mou ta evepyorotel pe aA@apnTikr oelpd.

®aivetal va Aettoupyel, JEvel va puUyouv evTEAWG oL pubuicelg Tou agpopouv ot daipoveg Tiou ekteAouvTal XwpLotd (#691).
https://code.djangoproject.com/wiki/SplitSettings
https://code.djangoproject.com/wiki/SplitSettings#UsingalistofconffilesTransifex

#4 - 06/29/2011 01:35 pm - Vangelis Koukis

- Status changed from New to Closed

>1o TpEYOV api-current branch to settings.py.dist £xeL poipaotel o avegdptnta apxeia kdTw and to settings.d/.
O daxwplopdg Twv pubuioswy tou logic/dispatcher.py kat Tou ganeti/snf-ganeti-eventd.py mou ekteholvtal wg daipoveg eivatl {ATNUA KATAOKEUNRG

TIAKETWV [0TO TIAKETO oupmepthapBdvel kavelg povo OTL Xpetdletat and To settings.d/], ondte autd To ticket uropel va kAeloet.

#5 - 02/08/2013 06:46 pm - Vangelis Koukis
- Category set to old_synnefo

04/25/2024 22



